org.apache.lucene.index

## Class ExitableDirectoryReader.ExitableSubReaderWrapper

- java.lang.Object
- - org.apache.lucene.index.FilterDirectoryReader.SubReaderWrapper
  - - org.apache.lucene.index.ExitableDirectoryReader.ExitableSubReaderWrapper

Enclosing class:
  ExitableDirectoryReader

    public static class ExitableDirectoryReader.ExitableSubReaderWrapper
    extends FilterDirectoryReader.SubReaderWrapper

Wrapper class for a SubReaderWrapper that is used by the ExitableDirectoryReader.

### Constructor Summary

Constructors
Constructor and Description
`ExitableSubReaderWrapper(QueryTimeout queryTimeout)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`LeafReader` `wrap(LeafReader reader)` Wrap one of the parent DirectoryReader's subreaders

### Methods inherited from class org.apache.lucene.index.FilterDirectoryReader.SubReaderWrapper

`wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExitableSubReaderWrapper

    public ExitableSubReaderWrapper(QueryTimeout queryTimeout)

Constructor

### Method Detail

#### wrap

    public LeafReader wrap(LeafReader reader)

Description copied from class: `FilterDirectoryReader.SubReaderWrapper`
Wrap one of the parent DirectoryReader's subreaders

Specified by:
  `wrap` in class `FilterDirectoryReader.SubReaderWrapper`
Parameters:
  `reader` - the subreader to wrap
Returns:
  a wrapped/filtered LeafReader